PROGRAM rechnung (input, output);

      {bildung von gesamtpreis aus mengenangaben und einzelpreisen}

CONST groesse=10;

VAR   menge:ARRAY [1..groesse] OF real;
      einzelpreis:ARRAY [1..groesse] OF real;
      zwischensumme:ARRAY [1..groesse] OF real;
      endsumme : real;
      i:integer;

BEGIN {rechnung}

      endsumme :=0;

      writeln;
      writeln ('Bitte Menge und Einzelpreis eingeben: ');
      writeln;

{EINGABE}
      i:=0;
      WHILE i < groesse DO
        BEGIN
          i:=i+1;
          readln    (menge[i], einzelpreis[i]);
          zwischensumme[i]:=menge[i]*einzelpreis[i];
          endsumme:=endsumme+zwischensumme[i]
        END;

      writeln;
      writeln ;
      write   ('menge':10,'einzelpreis':13);
      writeln ('betrag':8);
      writeln ('--------------------------':31);
      writeln;

      i:=0;
      REPEAT
        i:=i+1;
        write   (menge[i]:10:2,einzelpreis[i]:10:2);
        writeln (zwischensumme[i]:10:2,' ')
      UNTIL i>= groesse;

      writeln ('--------':31);
      writeln;
      writeln ('endsumme  ':20,endsumme:10:2,' ');
      writeln ('========':31);
      writeln;
      writeln('*** Ende der Rechnung ***');

END. (*rechnung*)
